Connection registry

Decouples the Settings class from the query builder and organizes database connections

package | Query
subpackage | Helper Classes

### Methods

## Return exiting connections

    get_connections() : array

### Returns

`array`

## Registry access method

    get_db(string $key) : object

### Parameters

#### $key

`string`

### Returns

`object`

## Remove a database connection

    remove_db(string $key) : void

### Parameters

#### $key

`string`

## Private constructor

    __construct(string $key)

### Parameters

#### $key

`string`

### Properties

## Static array of connections

    $instance